Create Review
curl --request POST \
--url https://api.swoogo.com/api/v1/cfs-reviews/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data event_id=1 \
--data 'notes=A simple review' \
--data rating=4.5 \
--data reviewer_id=3 \
--data submission_id=2import requests
url = "https://api.swoogo.com/api/v1/cfs-reviews/create"
payload = {
"event_id": "1",
"notes": "A simple review",
"rating": "4.5",
"reviewer_id": "3",
"submission_id": "2"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
event_id: '1',
notes: 'A simple review',
rating: '4.5',
reviewer_id: '3',
submission_id: '2'
})
};
fetch('https://api.swoogo.com/api/v1/cfs-reviews/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": "2022-06-26 14:30:00",
"updated_at": "2022-06-26 14:30:00"
}{
"name": "Unauthorized",
"message": "Your request was made with invalid credentials.",
"code": 0,
"status": 401
}{
"name": "Forbidden",
"message": "You do not have access to that resource.",
"code": 0,
"status": 403
}{
"name": "Not Found",
"message": "The requested resource does not exist.",
"code": 0,
"status": 404
}{
"name": "Internal Server Error",
"message": "An error occurred while processing your request.",
"code": 0,
"status": 500
}Call for Speaker Reviews
Create Review
Creates a new review for a Call for Speakers submission. Provide the event_id, submission_id, reviewer information, score, and optional feedback comments to record an evaluation of a speaker submission.
POST
/
cfs-reviews
/
create
Create Review
Authorizations
OAuth 2.0 bearer token obtained from POST /oauth2/token. Tokens expire after 30 minutes. Include in the Authorization header as Bearer {access_token}.
Body
application/x-www-form-urlencoded
⌘I